[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)

# Cellpose 2.0 Plugin

This Vizgen Post-processing Tool (VPT) Cellpose plugin enables users to use [Cellpose](https://cellpose.readthedocs.io/en/latest/) to segment MERSCOPE experiments. 
VPT is a command line tool that emphasizes scalable, reproducible analysis, and can be run on a workstation, a cluster, or 
be deployed in a cloud computing environment.


## Features
- Perform cell segmentation, reproduce standard Vizgen segmentation options, & perform reproducible custom segmentation
    - Run cellpose using models from the model zoo or custom models
    - Full customization of model parameters 


## Installation

Install the tool through your choice of 
- [pip](https://pip.pypa.io/en/stable/getting-started/)
- [poetry](https://python-poetry.org/)

    
## Usage

VPT accepts two types of inputs to specify how to run segmentation:
- Command line parameters
    - relate to where to find the input data and are expected to vary with each experiment
- Segmentation algorithm .json file parameters
    - describes a series of steps to perform on the input data

Using the same segmentation algorithm on a series of experiments ensures that they are processed identically and reproducibly.

In addition to the user guide, several working segmentation algorithm .json files are provided that can serve either as a 
robust segmentation definition or as a template for a custom workflow.

## Documentation

[User Guide](https://vizgen.github.io/vizgen-postprocessing/)

## Feedback


If you encounter issues or bugs, let us know by submitting an issue!
Please include:

- A quick issue summary
- Steps that caused it to occur
- The exception generated by the code, if applicable
- Specific lines of code, if indicated in the error message


If you have any other feedback or issues, please reach out to your regional Vizgen field application scientist and CC: Vizgen 
Tech Support at techsupport@vizgen.com.

Please include VPT in your subject line along with the above information in the body.

## Contributing & Code of Conduct

We welcome code contributions! Please refer to the [contribution guide](CONTRIBUTING.md) before getting started.

## Authors

- [Vizgen](https://vizgen.com/)

![Logo](https://vizgen.com/wp-content/uploads/2022/12/Vizgen-Logo_Vizgen-BlackColor-.png)

## License

   Copyright 2022 Vizgen, Inc. All Rights Reserved
   
   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
